# Interface InChIStructureProvider

All Known Implementing Classes:
  `InchiJmol, InChIJNA, InChIJS`

public interface InChIStructureProvider

## Method Summary

Modifier and Type
Method
Description
`int`
`getCenterAtom()`
`int`
`getCharge()`
`String`
`getElementType()`
`int`
`getImplicitH()`
`String`
`getInchiBondType()`
`int`
`getIndexOriginAtom()`
`int`
`getIndexTargetAtom()`
`int`
`getIsotopicMass()`
from inchi_api.h #define ISOTOPIC_SHIFT_FLAG 10000 add to isotopic mass if isotopic_mass = (isotopic mass - average atomic mass) AT_NUM isotopic_mass; 0 => non-isotopic; isotopic mass or ISOTOPIC_SHIFT_FLAG + mass - (average atomic mass)
`int[]`
`getNeighbors()`
`int`
`getNumAtoms()`
`int`
`getNumBonds()`
`int`
`getNumStereo0D()`
`String`
`getParity()`
`String`
`getStereoType()`
`double`
`getX()`
`double`
`getY()`
`double`
`getZ()`
`void`
`initializeModelForSmiles()`
`InChIStructureProvider`
`setAtom(int i)`
`InChIStructureProvider`
`setBond(int i)`
`InChIStructureProvider`
`setStereo0D(int i)`

## Method Details

### initializeModelForSmiles

void initializeModelForSmiles()

### setAtom

InChIStructureProvider setAtom(int i)

### setBond

InChIStructureProvider setBond(int i)

### setStereo0D

InChIStructureProvider setStereo0D(int i)

### getNumAtoms

int getNumAtoms()

### getNumBonds

int getNumBonds()

### getNumStereo0D

int getNumStereo0D()

### getElementType

String getElementType()

### getX

double getX()

### getY

double getY()

### getZ

double getZ()

### getCharge

int getCharge()

### getImplicitH

int getImplicitH()

### getIsotopicMass

int getIsotopicMass()
from inchi_api.h #define ISOTOPIC_SHIFT_FLAG 10000 add to isotopic mass if isotopic_mass = (isotopic mass - average atomic mass) AT_NUM isotopic_mass; 0 => non-isotopic; isotopic mass or ISOTOPIC_SHIFT_FLAG + mass - (average atomic mass)

Returns:
  inchi's value of average mass

### getIndexOriginAtom

int getIndexOriginAtom()

### getIndexTargetAtom

int getIndexTargetAtom()

### getInchiBondType

String getInchiBondType()

### getParity

String getParity()

### getStereoType

String getStereoType()

### getCenterAtom

int getCenterAtom()

### getNeighbors

int[] getNeighbors()